.modal {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background: rgba(0, 0, 0, 0.7);
    transition: opacity 500ms;
    visibility: hidden;
    opacity: 0;
  
    &__backdrop {
      width: 100%;
      height: 100%;
      position: absolute;
    }
  
    &.open {
      visibility: visible;
      opacity: 1;
    }
  
    &__content {
      margin: 70px auto;
      padding: 20px;
      background: #dc4040;
      color: #ffffff;
      border-radius: 5px;
      width: 30%;
      position: relative;
      transition: all 5s ease-in-out;
    }
  
    &__title {
      margin-top: 0;
      font-size: 20px;
      font-weight: bold;
      text-align: center;
    }
  
    &__close-button {
      position: absolute;
      top: 20px;
      right: 30px;
      transition: all 200ms;
      font-size: 30px;
      font-weight: bold;
      text-decoration: none;
      color: #333333;
  
      &:hover {
        color: #ffffff;
      }
    }
  
    &__text {
      overflow: auto;
      padding-top: 30px;
      font-size: 16px;
      font-style: italic;
      text-align: center;
      padding-bottom: 30px;
    }
  
    &__button-actions {
      display: flex;
      justify-content: space-around;
    }
  }
  